GetSessionPlan
GET
/api/v1/provision/consumer/me/sessions/{sessionId}/plan
const url = 'https://example.com/api/v1/provision/consumer/me/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/plan';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/consumer/me/sessions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/planParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”sessionId
required
string format: uuid
Responses
Section titled “Responses”OK
The plan context for an entitlement or session: what is applied, and what is available.
object
entitlementId
string format: uuid
assignedPlanName
null | string
appliedPlan
availablePlans
Array<object>
A plan a consumer can see or switch to.
object
id
string format: uuid
name
string
description
string
The plan context for an entitlement or session: what is applied, and what is available.
object
entitlementId
string format: uuid
assignedPlanName
null | string
appliedPlan
availablePlans
Array<object>
A plan a consumer can see or switch to.
object
id
string format: uuid
name
string
description
string
Examplegenerated
{ "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "assignedPlanName": "example", "appliedPlan": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example" }, "availablePlans": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example" } ]}The plan context for an entitlement or session: what is applied, and what is available.
object
entitlementId
string format: uuid
assignedPlanName
null | string
appliedPlan
availablePlans
Array<object>
A plan a consumer can see or switch to.
object
id
string format: uuid
name
string
description
string
Examplegenerated
{ "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "assignedPlanName": "example", "appliedPlan": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example" }, "availablePlans": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example" } ]}Unauthorized
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}